This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 18205 - openssh fails to restart correctly denying access to remote machine
openssh fails to restart correctly denying access to remote machine
Status: CLOSED DUPLICATE of bug 18023
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-03 07:33 EDT by Andy Nash
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-03 13:32:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Nash 2000-10-03 07:33:59 EDT
i have installed 7.0 clean with a custom server installation, including 
openssh. everything functions correctly except:

when restarting sshd like this:

/etc/rc.d/init.d/sshd restart (or condrestart, or stop start)

the existing ssh session remains alive, but no new sessions can be 
started. in addition, restarting a second time causes the existing session 
to also be dropped.

this has the following effect:

no access can be gained to the server until sshd is restarted from the 
console (assuming telnet is blocked)

i have no idea whether it is possible, but could someone use this to cause 
sshd to restart - denying access to the sysadm - in order to hide their 
activities or as a DOS attack?



below is the /etc/ssh/sshd_config file:

# This is ssh server systemwide configuration file.

Port 22
Protocol 2,1
ListenAddress 0.0.0.0
#ListenAddress ::
HostKey /etc/ssh/ssh_host_key
ServerKeyBits 768
LoginGraceTime 600
KeyRegenerationInterval 3600
PermitRootLogin no
#
# Don't read ~/.rhosts and ~/.shosts files
IgnoreRhosts yes
# Uncomment if you don't trust ~/.ssh/known_hosts for 
RhostsRSAAuthentication
#IgnoreUserKnownHosts yes
StrictModes yes
X11Forwarding no
X11DisplayOffset 10
PrintMotd yes
KeepAlive yes

# Logging
SyslogFacility AUTH
LogLevel INFO
#obsoletes QuietMode and FascistLogging

RhostsAuthentication no
#
# For this to work you will also need host keys in /etc/ssh_known_hosts
RhostsRSAAuthentication no
#
RSAAuthentication yes

# To disable tunneled clear text passwords, change to no here!
PasswordAuthentication no
PermitEmptyPasswords no
# Uncomment to disable s/key passwords
#SkeyAuthentication no

# To change Kerberos options
#KerberosAuthentication no
#KerberosOrLocalPasswd yes
#AFSTokenPassing no
#KerberosTicketCleanup no

# Kerberos TGT Passing does only work with the AFS kaserver
#KerberosTgtPassing yes

CheckMail no
UseLogin no

Subsystem       sftp    /usr/local/sbin/sftpd
Comment 1 Andy Nash 2000-10-03 13:43:08 EDT
ooops! i have now found an earlier bug report which pertains to the same 
problem - 18023 - updated init scripts have apparently been prepared, and will 
be included in a future bugfix release.

you're too fast for me!

Andy Nash

*** This bug has been marked as a duplicate of 18023 ***

Note You need to log in before you can comment on or make changes to this bug.